// ----------------------------------------------
// Implémentation de l'algorithme JeuduPendu
// Version : 1
// ----------------------------------------------
// Initialisations (1)
// Création du tableau des mots à chercher (1a)
var Tmots = ["poisson", "chien", "chat", "souris", "canari", "vache", "veau", "canard", "mouton", "cheval"];
// Choix aléatoire d'un mot dans le tableau (1b)
var motSecret = Tmots[Math.floor(Math.random() * Tmots.length)];
// Création du tableau pour la réponse (1c)
var TReponse = [];
TReponse.length = motSecret.length;
for (var i = 0; i < motSecret.length; i++) {
    TReponse[i] = "-";
}
// Création et initialisation du compteur de lettres (1d)
var nbLettresManquantes = TReponse.length;

// Instrumentation du code (A supprimer)
console.log(motSecret, TReponse, nbLettresManquantes);

// Boucle de jeu (2)
while (nbLettresManquantes > 0) {
    // Affichage de la progression  (2a)
    alert(TReponse.join(" "));
    // On demande au joueur de proposer une lettre (2b)
    var lettre = prompt("Proposer une lettre ou cliquer sur Annuler pour quitter la partie.")
    if (lettre === null) { //(2c)
        break;
    } else if (lettre.length === 0) { //(2d)
        alert("Vous devez saisir une lettre !")
    }
    else if (lettre.length > 1) {
        alert("Vous devez saisir une seule lettre !")
    }
    else { //(2e)
        for (var j = 0; j < motSecret.length; j++) { // Mise à jour du champ de la réponse(2c)
            if ((motSecret[j] === lettre) && (TReponse[j] === "-")) {
                TReponse[j] = lettre;
                nbLettresManquantes--;
                console.log(lettre, nbLettresManquantes); // Instrumentation du code (A supprimer)
            }
        }
    }
}

// Message de fin de jeu (3)
if (nbLettresManquantes === 0) {
    alert("Félicitations ! Le mot secret est " + TReponse.join(""));
}
else {
    alert("Jeu abandoné ! Recharger la page pour rejouer.");
}